# Class ConnectStringParser

java.lang.Object
org.apache.zookeeper.client.ConnectStringParser

public final class ConnectStringParser extends Object
A parser for ZooKeeper Client connect strings. This class is not meant to be seen or used outside of ZooKeeper itself. The chrootPath member should be replaced by a Path object in issue ZOOKEEPER-849.

See Also:
  - `ZooKeeper`

## Constructor Summary

Constructors
Constructor
Description
`ConnectStringParser(String connectString)`
Parse host and port by spliting client connectString with support for IPv6 literals

## Method Summary

Modifier and Type
Method
Description
`String`
`getChrootPath()`
`ArrayList<InetSocketAddress>`
`getServerAddresses()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConnectStringParser

public ConnectStringParser(String connectString)
Parse host and port by spliting client connectString with support for IPv6 literals

Throws:
  `IllegalArgumentException` - for an invalid chroot path.

## Method Details

### getChrootPath

public String getChrootPath()

### getServerAddresses

public ArrayList<InetSocketAddress> getServerAddresses()